hdf.view

## Class ViewProperties

- Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.preference.PreferenceStore
    - - hdf.view.ViewProperties

- All Implemented Interfaces:
    org.eclipse.jface.preference.IPersistentPreferenceStore, org.eclipse.jface.preference.IPreferenceStore

      public class ViewProperties
      extends org.eclipse.jface.preference.PreferenceStore

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ViewProperties.BITMASK_OP` Property keys control how the data is displayed.
    `static class` | `ViewProperties.DATA_VIEW_KEY` Property keys control how the data is displayed.
    `static class` | `ViewProperties.DataViewType` Used to create different DataViews for a given HObject.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_COMPOUND_ATTRIBUTE_TABLEVIEW_NAME`
    `static String` | `DEFAULT_COMPOUND_DATASET_TABLEVIEW_NAME`
    `static String` | `DEFAULT_DATASET_METADATAVIEW_NAME`
    `static String` | `DEFAULT_DATATYPE_METADATAVIEW_NAME`
    `static String` | `DEFAULT_GROUP_METADATAVIEW_NAME` Default MetaDataView class names
    `static String` | `DEFAULT_IMAGEVIEW_NAME` Default ImageView class names
    `static String` | `DEFAULT_LINK_METADATAVIEW_NAME`
    `static String` | `DEFAULT_PALETTEVIEW_NAME` Default PaletteView class names
    `static String` | `DEFAULT_SCALAR_ATTRIBUTE_TABLEVIEW_NAME`
    `static String` | `DEFAULT_SCALAR_DATASET_TABLEVIEW_NAME` Default TableView class names
    `static String` | `DEFAULT_TREEVIEW_NAME` Default TreeView class names
    `static String` | `DELIMITER_COLON` name of the tab delimiter
    `static String` | `DELIMITER_COMMA` name of the tab delimiter
    `static String` | `DELIMITER_SEMI_COLON` name of the tab delimiter
    `static String` | `DELIMITER_SPACE` name of the tab delimiter
    `static String` | `DELIMITER_TAB` name of the tab delimiter
    `static int` | `MAX_RECENT_FILES` the maximum number of most recent files
    `static String` | `ORIGIN_LL` image origin: LowerLeft
    `static String` | `ORIGIN_LR` image origin: LowerRight
    `static String` | `ORIGIN_UL` image origin: UpperLeft
    `static String` | `ORIGIN_UR` image origin: UpperRight
    `static String` | `VERSION` the version of the HDFViewer

    - ### Fields inherited from interface org.eclipse.jface.preference.IPreferenceStore

      `BOOLEAN_DEFAULT_DEFAULT, DOUBLE_DEFAULT_DEFAULT, FALSE, FLOAT_DEFAULT_DEFAULT, INT_DEFAULT_DEFAULT, LONG_DEFAULT_DEFAULT, STRING_DEFAULT_DEFAULT, TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewProperties(String viewRoot)` Creates a property list with given root directory of the HDFView.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.eclipse.swt.graphics.Image` | `getAnimationIcon()`
    `static org.eclipse.swt.graphics.Image` | `getAppsIcon()`
    `static org.eclipse.swt.graphics.Image` | `getAudioIcon()`
    `static org.eclipse.swt.graphics.Image` | `getAutocontrastIcon()`
    `static org.eclipse.swt.graphics.Image` | `getBlankIcon()`
    `static org.eclipse.swt.graphics.Image` | `getBrightIcon()`
    `static org.eclipse.swt.graphics.Image` | `getChartIcon()`
    `static org.eclipse.swt.graphics.Image` | `getCopyIcon()`
    `static org.eclipse.swt.graphics.Image` | `getCutIcon()`
    `static String` | `getDataDelimiter()`
    `static org.eclipse.swt.graphics.Image` | `getDatasetIcon()`
    `static org.eclipse.swt.graphics.Image` | `getDatasetIconA()`
    `static org.eclipse.swt.graphics.Image` | `getDatatypeIcon()`
    `static org.eclipse.swt.graphics.Image` | `getDatatypeIconA()`
    `static String` | `getEarlyLib()` Returns value of default lib version for the earliest.
    `static org.eclipse.swt.graphics.Image` | `getFilecloseIcon()`
    `static String` | `getFileExtension()`
    `static org.eclipse.swt.graphics.Image` | `getFilenewIcon()`
    `static org.eclipse.swt.graphics.Image` | `getFileopenIcon()`
    `static org.eclipse.swt.graphics.Image` | `getFilesaveIcon()`
    `static org.eclipse.swt.graphics.Image` | `getFirstIcon()`
    `static org.eclipse.swt.graphics.Image` | `getFoldercloseIcon()`
    `static org.eclipse.swt.graphics.Image` | `getFoldercloseIconA()`
    `static org.eclipse.swt.graphics.Image` | `getFolderopenIcon()`
    `static org.eclipse.swt.graphics.Image` | `getFolderopenIconA()`
    `static int` | `getFontSize()`
    `static String` | `getFontType()`
    `static org.eclipse.swt.graphics.Image` | `getH4Icon()`
    `static org.eclipse.swt.graphics.Image` | `getH4IconR()`
    `static String` | `getH4toH5()`
    `static org.eclipse.swt.graphics.Image` | `getH5Icon()`
    `static org.eclipse.swt.graphics.Image` | `getH5IconR()`
    `static org.eclipse.swt.graphics.Image` | `getHdfIcon()`
    `static org.eclipse.swt.graphics.Image` | `getHelpIcon()`
    `static Vector<String>` | `getHelpViewList()`
    `static org.eclipse.swt.graphics.Image` | `getImageIcon()`
    `static org.eclipse.swt.graphics.Image` | `getImageIconA()`
    `static String` | `getImageOrigin()`
    `static Vector<String>` | `getImageViewList()`
    `static String` | `getIndexOrder()`
    `static String` | `getIndexType()`
    `static org.eclipse.swt.graphics.Image` | `getLargeHdfIcon()`
    `static org.eclipse.swt.graphics.Image` | `getLastIcon()`
    `static String` | `getLateLib()` Returns value of default lib version for the latest.
    `static org.eclipse.swt.graphics.Image` | `getLinkIcon()`
    `static int` | `getMaxMembers()` Current Java applications such as HDFView cannot handle files with large number of objects such as 1,000,000 objects.
    `static int` | `getMaxRecentFiles()`
    `static Vector<String>` | `getMetaDataViewList()`
    `static Vector<String>` | `getMRF()`
    `static org.eclipse.swt.graphics.Image` | `getNextIcon()`
    `static org.eclipse.swt.graphics.Image` | `getPaletteIcon()`
    `static Vector<String>` | `getPaletteList()`
    `static Vector<String>` | `getPaletteViewList()`
    `static org.eclipse.swt.graphics.Image` | `getPasteIcon()`
    `static org.eclipse.swt.graphics.Image` | `getPdfIcon()`
    `static org.eclipse.swt.graphics.Image` | `getPreviousIcon()`
    `static String` | `getPropertyFile()`
    `static org.eclipse.swt.graphics.Image` | `getQuestionIcon()`
    `static Vector<String[]>` | `getSrbAccount()`
    `static int` | `getStartMembers()` Current Java applications such as HDFView cannot handle files with large number of objects such as 1,000,000 objects.
    `static org.eclipse.swt.graphics.Image` | `getTableIcon()`
    `static org.eclipse.swt.graphics.Image` | `getTableIconA()`
    `static Vector<String>` | `getTableViewList()`
    `static org.eclipse.swt.graphics.Image` | `getTextIcon()`
    `static org.eclipse.swt.graphics.Image` | `getTextIconA()`
    `static Vector<String>` | `getTreeViewList()`
    `static org.eclipse.swt.graphics.Image` | `getUrlIcon()`
    `static String` | `getUsersGuide()`
    `static org.eclipse.swt.graphics.Image` | `getVideoIcon()`
    `static String` | `getViewRoot()`
    `static String` | `getWorkDir()`
    `static org.eclipse.swt.graphics.Image` | `getXlsIcon()`
    `static org.eclipse.swt.graphics.Image` | `getZoominIcon()`
    `static org.eclipse.swt.graphics.Image` | `getZoomoutIcon()`
    `static boolean` | `isAutoContrast()` Returns true if auto contrast is used in image processing.
    `static boolean` | `isConvertEnum()`
    `static boolean` | `isIndexBase1()`
    `static boolean` | `isReadOnly()` Returns true if default file access is read only.
    `void` | `load()` Load user properties from property file
    `static ClassLoader` | `loadExtClass()` load module classes
    `static void` | `loadIcons()`
    `void` | `save()` Save user properties into property file
    `static void` | `setAutoContrast(boolean b)` Set the flag to indicate if auto contrast is used in image process.
    `static void` | `setConvertEnum(boolean convertEnum)`
    `static void` | `setDataDelimiter(String delim)` set the delimiter of data values
    `static void` | `setEarlyLib(String vers)` Set the value of default lib version for the earliest.
    `static void` | `setFileExtension(String ext)` set the file extension
    `static void` | `setFontSize(int fsize)` sets the font size
    `static void` | `setFontType(String ftype)` sets the font type
    `static void` | `setH4toH5(String tool)` set the path of the H4 to H5 converter
    `static void` | `setImageOrigin(String o)` set the image origin
    `static void` | `setIndexBase1(boolean b)` Set the flag to indicate if IndexBase should start at 1.
    `static void` | `setIndexOrder(String idxOrder)` set the index order
    `static void` | `setIndexType(String idxType)` set the index type
    `static void` | `setLateLib(String vers)` Set the value of default lib version for the latest.
    `static void` | `setMaxMembers(int n)` Current Java applications such as HDFView cannot handle files with large number of objects such as 1,000,000 objects.
    `static void` | `setReadOnly(boolean b)` Set the flag to indicate if default file access is read only.
    `static void` | `setRecentFiles(Vector<String> recentFilesList)` Sets the list of most recently accessed files.
    `static void` | `setShowImageValue(boolean b)` Set the flag to indicate if "show image values" is set.
    `static void` | `setShowRegRefValue(boolean b)` Set the flag to indicate if "show RegRef values" is set.
    `static void` | `setStartMembers(int idx)` Current Java applications such as HDFView cannot handle files with large number of objects such as 1,000,000 objects.
    `static void` | `setUsersGuide(String str)` set the path of H5View User's guide
    `static void` | `setWorkDir(String wDir)` set the path of the default work directory
    `static boolean` | `showImageValues()` Returns true if "show image values" is set.
    `static boolean` | `showRegRefValues()` Returns true if "show regref values" is set.

    - ### Methods inherited from class org.eclipse.jface.preference.PreferenceStore

      `addPropertyChangeListener, contains, firePropertyChangeEvent, getBoolean, getDefaultBoolean, getDefaultDouble, getDefaultFloat, getDefaultInt, getDefaultLong, getDefaultString, getDouble, getFloat, getInt, getLong, getString, isDefault, list, list, load, needsSaving, preferenceNames, putValue, removePropertyChangeListener, save, setDefault, setDefault, setDefault, setDefault, setDefault, setDefault, setFilename, setToDefault, setValue, setValue, setValue, setValue, setValue, setValue`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final String VERSION

      the version of the HDFViewer
      See Also:
        Constant Field Values

    - #### MAX_RECENT_FILES

          public static final int MAX_RECENT_FILES

      the maximum number of most recent files
      See Also:
        Constant Field Values

    - #### DELIMITER_TAB

          public static final String DELIMITER_TAB

      name of the tab delimiter
      See Also:
        Constant Field Values

    - #### DELIMITER_COMMA

          public static final String DELIMITER_COMMA

      name of the tab delimiter
      See Also:
        Constant Field Values

    - #### DELIMITER_SPACE

          public static final String DELIMITER_SPACE

      name of the tab delimiter
      See Also:
        Constant Field Values

    - #### DELIMITER_COLON

          public static final String DELIMITER_COLON

      name of the tab delimiter
      See Also:
        Constant Field Values

    - #### ORIGIN_UL

          public static final String ORIGIN_UL

      image origin: UpperLeft
      See Also:
        Constant Field Values

    - #### ORIGIN_LL

          public static final String ORIGIN_LL

      image origin: LowerLeft
      See Also:
        Constant Field Values

    - #### ORIGIN_UR

          public static final String ORIGIN_UR

      image origin: UpperRight
      See Also:
        Constant Field Values

    - #### ORIGIN_LR

          public static final String ORIGIN_LR

      image origin: LowerRight
      See Also:
        Constant Field Values

    - #### DELIMITER_SEMI_COLON

          public static final String DELIMITER_SEMI_COLON

      name of the tab delimiter
      See Also:
        Constant Field Values

    - #### DEFAULT_TREEVIEW_NAME

          public static final String DEFAULT_TREEVIEW_NAME

      Default TreeView class names
      See Also:
        Constant Field Values

    - #### DEFAULT_SCALAR_DATASET_TABLEVIEW_NAME

          public static final String DEFAULT_SCALAR_DATASET_TABLEVIEW_NAME

      Default TableView class names
      See Also:
        Constant Field Values

    - #### DEFAULT_SCALAR_ATTRIBUTE_TABLEVIEW_NAME

          public static final String DEFAULT_SCALAR_ATTRIBUTE_TABLEVIEW_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_COMPOUND_DATASET_TABLEVIEW_NAME

          public static final String DEFAULT_COMPOUND_DATASET_TABLEVIEW_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_COMPOUND_ATTRIBUTE_TABLEVIEW_NAME

          public static final String DEFAULT_COMPOUND_ATTRIBUTE_TABLEVIEW_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_GROUP_METADATAVIEW_NAME

          public static final String DEFAULT_GROUP_METADATAVIEW_NAME

      Default MetaDataView class names
      See Also:
        Constant Field Values

    - #### DEFAULT_DATASET_METADATAVIEW_NAME

          public static final String DEFAULT_DATASET_METADATAVIEW_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_DATATYPE_METADATAVIEW_NAME

          public static final String DEFAULT_DATATYPE_METADATAVIEW_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_LINK_METADATAVIEW_NAME

          public static final String DEFAULT_LINK_METADATAVIEW_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_IMAGEVIEW_NAME

          public static final String DEFAULT_IMAGEVIEW_NAME

      Default ImageView class names
      See Also:
        Constant Field Values

    - #### DEFAULT_PALETTEVIEW_NAME

          public static final String DEFAULT_PALETTEVIEW_NAME

      Default PaletteView class names
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ViewProperties

          public ViewProperties(String viewRoot)

      Creates a property list with given root directory of the HDFView.
      Parameters:
        `viewRoot` - the root directory of the HDFView

  - ### Method Detail

    - #### loadExtClass

          public static ClassLoader loadExtClass()

      load module classes
      Returns:
        the ClassLoader

    - #### getViewRoot

          public static String getViewRoot()

      Returns:
        the root directory where the HDFView is installed.

    - #### getFoldercloseIcon

          public static org.eclipse.swt.graphics.Image getFoldercloseIcon()

    - #### getFoldercloseIconA

          public static org.eclipse.swt.graphics.Image getFoldercloseIconA()

    - #### getFolderopenIcon

          public static org.eclipse.swt.graphics.Image getFolderopenIcon()

    - #### getFolderopenIconA

          public static org.eclipse.swt.graphics.Image getFolderopenIconA()

    - #### getHdfIcon

          public static org.eclipse.swt.graphics.Image getHdfIcon()

    - #### getH4Icon

          public static org.eclipse.swt.graphics.Image getH4Icon()

    - #### getH4IconR

          public static org.eclipse.swt.graphics.Image getH4IconR()

    - #### getH5Icon

          public static org.eclipse.swt.graphics.Image getH5Icon()

    - #### getH5IconR

          public static org.eclipse.swt.graphics.Image getH5IconR()

    - #### getDatasetIcon

          public static org.eclipse.swt.graphics.Image getDatasetIcon()

    - #### getDatasetIconA

          public static org.eclipse.swt.graphics.Image getDatasetIconA()

    - #### getDatatypeIcon

          public static org.eclipse.swt.graphics.Image getDatatypeIcon()

    - #### getDatatypeIconA

          public static org.eclipse.swt.graphics.Image getDatatypeIconA()

    - #### getLinkIcon

          public static org.eclipse.swt.graphics.Image getLinkIcon()

    - #### getFileopenIcon

          public static org.eclipse.swt.graphics.Image getFileopenIcon()

    - #### getFilesaveIcon

          public static org.eclipse.swt.graphics.Image getFilesaveIcon()

    - #### getFilenewIcon

          public static org.eclipse.swt.graphics.Image getFilenewIcon()

    - #### getFilecloseIcon

          public static org.eclipse.swt.graphics.Image getFilecloseIcon()

    - #### getPaletteIcon

          public static org.eclipse.swt.graphics.Image getPaletteIcon()

    - #### getBrightIcon

          public static org.eclipse.swt.graphics.Image getBrightIcon()

    - #### getAutocontrastIcon

          public static org.eclipse.swt.graphics.Image getAutocontrastIcon()

    - #### getImageIcon

          public static org.eclipse.swt.graphics.Image getImageIcon()

    - #### getTableIcon

          public static org.eclipse.swt.graphics.Image getTableIcon()

    - #### getTextIcon

          public static org.eclipse.swt.graphics.Image getTextIcon()

    - #### getImageIconA

          public static org.eclipse.swt.graphics.Image getImageIconA()

    - #### getTableIconA

          public static org.eclipse.swt.graphics.Image getTableIconA()

    - #### getTextIconA

          public static org.eclipse.swt.graphics.Image getTextIconA()

    - #### getZoominIcon

          public static org.eclipse.swt.graphics.Image getZoominIcon()

    - #### getZoomoutIcon

          public static org.eclipse.swt.graphics.Image getZoomoutIcon()

    - #### getBlankIcon

          public static org.eclipse.swt.graphics.Image getBlankIcon()

    - #### getHelpIcon

          public static org.eclipse.swt.graphics.Image getHelpIcon()

    - #### getCopyIcon

          public static org.eclipse.swt.graphics.Image getCopyIcon()

    - #### getCutIcon

          public static org.eclipse.swt.graphics.Image getCutIcon()

    - #### getPasteIcon

          public static org.eclipse.swt.graphics.Image getPasteIcon()

    - #### getLargeHdfIcon

          public static org.eclipse.swt.graphics.Image getLargeHdfIcon()

    - #### getPreviousIcon

          public static org.eclipse.swt.graphics.Image getPreviousIcon()

    - #### getNextIcon

          public static org.eclipse.swt.graphics.Image getNextIcon()

    - #### getFirstIcon

          public static org.eclipse.swt.graphics.Image getFirstIcon()

    - #### getLastIcon

          public static org.eclipse.swt.graphics.Image getLastIcon()

    - #### getChartIcon

          public static org.eclipse.swt.graphics.Image getChartIcon()

    - #### getAnimationIcon

          public static org.eclipse.swt.graphics.Image getAnimationIcon()

    - #### getAppsIcon

          public static org.eclipse.swt.graphics.Image getAppsIcon()

    - #### getUrlIcon

          public static org.eclipse.swt.graphics.Image getUrlIcon()

    - #### getVideoIcon

          public static org.eclipse.swt.graphics.Image getVideoIcon()

    - #### getXlsIcon

          public static org.eclipse.swt.graphics.Image getXlsIcon()

    - #### getPdfIcon

          public static org.eclipse.swt.graphics.Image getPdfIcon()

    - #### getAudioIcon

          public static org.eclipse.swt.graphics.Image getAudioIcon()

    - #### getQuestionIcon

          public static org.eclipse.swt.graphics.Image getQuestionIcon()

    - #### loadIcons

          public static void loadIcons()

    - #### load

          public void load()
                    throws IOException

      Load user properties from property file
      Overrides:
        `load` in class `org.eclipse.jface.preference.PreferenceStore`
      Throws:
        `IOException` - if a failure occurred

    - #### save

          public void save()
                    throws IOException

      Save user properties into property file
      Specified by:
        `save` in interface `org.eclipse.jface.preference.IPersistentPreferenceStore`
      Overrides:
        `save` in class `org.eclipse.jface.preference.PreferenceStore`
      Throws:
        `IOException` - if a failure occurred

    - #### getPropertyFile

          public static String getPropertyFile()

      Returns:
        the name of the user property file

    - #### getWorkDir

          public static String getWorkDir()

      Returns:
        the default work directory, where the open file starts.

    - #### getMaxRecentFiles

          public static int getMaxRecentFiles()

      Returns:
        the maximum number of the most recent file

    - #### getUsersGuide

          public static String getUsersGuide()

      Returns:
        the path of the HDFView users guide

    - #### getDataDelimiter

          public static String getDataDelimiter()

      Returns:
        the delimiter of data values

    - #### getImageOrigin

          public static String getImageOrigin()

      Returns:
        the image origin

    - #### getIndexType

          public static String getIndexType()

      Returns:
        the default index type for display

    - #### getIndexOrder

          public static String getIndexOrder()

      Returns:
        the default index order for display

    - #### getFontSize

          public static int getFontSize()

      Returns:
        the font size

    - #### getFontType

          public static String getFontType()

      Returns:
        the font type

    - #### getFileExtension

          public static String getFileExtension()

      Returns:
        the file extensions of supported file formats

    - #### setFontSize

          public static void setFontSize(int fsize)

      sets the font size
      Parameters:
        `fsize` - the font size

    - #### setFontType

          public static void setFontType(String ftype)

      sets the font type
      Parameters:
        `ftype` - the font type

    - #### getH4toH5

          public static String getH4toH5()

      Returns:
        the path of the H5toH5 converter

    - #### getMRF

          public static Vector<String> getMRF()

      Returns:
        the list of most recent files

    - #### getPaletteList

          public static Vector<String> getPaletteList()

      Returns:
        the list of palette files

    - #### getSrbAccount

          public static Vector<String[]> getSrbAccount()

    - #### getTreeViewList

          public static Vector<String> getTreeViewList()

      Returns:
        a list of treeview modules

    - #### getMetaDataViewList

          public static Vector<String> getMetaDataViewList()

      Returns:
        a list of metadataview modules

    - #### getTableViewList

          public static Vector<String> getTableViewList()

      Returns:
        a list of tableview modules

    - #### getImageViewList

          public static Vector<String> getImageViewList()

      Returns:
        a list of imageview modules

    - #### getPaletteViewList

          public static Vector<String> getPaletteViewList()

      Returns:
        a list of paletteview modules

    - #### getHelpViewList

          public static Vector<String> getHelpViewList()

      Returns:
        a list of helpview modules

    - #### setUsersGuide

          public static void setUsersGuide(String str)

      set the path of H5View User's guide
      Parameters:
        `str` - the path

    - #### setH4toH5

          public static void setH4toH5(String tool)

      set the path of the H4 to H5 converter
      Parameters:
        `tool` - the path of the H4 to H5 converter

    - #### setWorkDir

          public static void setWorkDir(String wDir)

      set the path of the default work directory
      Parameters:
        `wDir` - the default work directory

    - #### setFileExtension

          public static void setFileExtension(String ext)

      set the file extension
      Parameters:
        `ext` - the file extension

    - #### setDataDelimiter

          public static void setDataDelimiter(String delim)

      set the delimiter of data values
      Parameters:
        `delim` - the delimiter of data values

    - #### setImageOrigin

          public static void setImageOrigin(String o)

      set the image origin
      Parameters:
        `o` - the image origin

    - #### setIndexType

          public static void setIndexType(String idxType)

      set the index type
      Parameters:
        `idxType` - the index type

    - #### setIndexOrder

          public static void setIndexOrder(String idxOrder)

      set the index order
      Parameters:
        `idxOrder` - the index order

    - #### setMaxMembers

          public static void setMaxMembers(int n)

      Current Java applications such as HDFView cannot handle files with large number of objects such as 1,000,000 objects. setMaxMembers() sets the maximum number of objects that will be loaded into memory.
      Parameters:
        `n` - the maximum number of objects to load into memory

    - #### setStartMembers

          public static void setStartMembers(int idx)

      Current Java applications such as HDFView cannot handle files with large number of objects such as 1,000,000 objects. setStartMember() sets the starting index of objects that will be loaded into memory.
      Parameters:
        `idx` - the maximum number of objects to load into memory

    - #### getMaxMembers

          public static int getMaxMembers()

      Current Java applications such as HDFView cannot handle files with large number of objects such as 1,000,000 objects. getMaxMembers() returns the maximum number of objects that will be loaded into memory.
      Returns:
        the maximum members

    - #### getStartMembers

          public static int getStartMembers()

      Current Java applications such as HDFView cannot handle files with large number of objects such as 1,000,000 objects. getStartMembers() returns the starting index of objects that will be loaded into memory.
      Returns:
        the start members

    - #### isAutoContrast

          public static boolean isAutoContrast()

      Returns true if auto contrast is used in image processing.
      Returns:
        true if auto contrast is used in image processing; otherwise, returns false.

    - #### showImageValues

          public static boolean showImageValues()

      Returns true if "show image values" is set.
      Returns:
        true if "show image values" is set; otherwise, returns false.

    - #### setAutoContrast

          public static void setAutoContrast(boolean b)

      Set the flag to indicate if auto contrast is used in image process.
      Parameters:
        `b` - the flag to indicate if auto contrast is used in image process.

    - #### setShowImageValue

          public static void setShowImageValue(boolean b)

      Set the flag to indicate if "show image values" is set.
      Parameters:
        `b` - the flag to indicate if if "show image values" is set.

    - #### isReadOnly

          public static boolean isReadOnly()

      Returns true if default file access is read only.
      Returns:
        true if default file access is read only; otherwise, returns false.

    - #### setReadOnly

          public static void setReadOnly(boolean b)

      Set the flag to indicate if default file access is read only.
      Parameters:
        `b` - the flag to indicate if default file access is read only.

    - #### getEarlyLib

          public static String getEarlyLib()

      Returns value of default lib version for the earliest.
      Returns:
        value of default lib version for the earliest.

    - #### setEarlyLib

          public static void setEarlyLib(String vers)

      Set the value of default lib version for the earliest.
      Parameters:
        `vers` - the value of default lib version for the earliest.

    - #### getLateLib

          public static String getLateLib()

      Returns value of default lib version for the latest.
      Returns:
        value of default lib version for the latest.

    - #### setLateLib

          public static void setLateLib(String vers)

      Set the value of default lib version for the latest.
      Parameters:
        `vers` - the value of default lib version for the latest.

    - #### isConvertEnum

          public static boolean isConvertEnum()

      Returns:
        the convertEnum

    - #### showRegRefValues

          public static boolean showRegRefValues()

      Returns true if "show regref values" is set.
      Returns:
        true if "show regref values" is set; otherwise, returns false.

    - #### isIndexBase1

          public static boolean isIndexBase1()

      Returns:
        the isIndexBase1

    - #### setConvertEnum

          public static void setConvertEnum(boolean convertEnum)

      Parameters:
        `convertEnum` - the convertEnum to set

    - #### setShowRegRefValue

          public static void setShowRegRefValue(boolean b)

      Set the flag to indicate if "show RegRef values" is set.
      Parameters:
        `b` - the flag to indicate if if "show RegRef values" is set.

    - #### setIndexBase1

          public static void setIndexBase1(boolean b)

      Set the flag to indicate if IndexBase should start at 1.
      Parameters:
        `b` - the flag to indicate if IndexBase should start at 1.

    - #### setRecentFiles

          public static void setRecentFiles(Vector<String> recentFilesList)

      Sets the list of most recently accessed files.
      Parameters:
        `recentFilesList` - The list of most recently accessed files.

Copyright © 2018. All Rights Reserved.